Subject: Re: [bug#37908] [PATCH 0/2] Remove monolithic qt5 (and other unused package)

From: Efraim Flashner <[email-masked]>
Date: Fri, 25 Oct 2019 13:34:49 +0300

On Thu, Oct 24, 2019 at 09:20:56PM +0200, Hartmut Goebel wrote:
> The monolithic `qt` package was only used as a base to inhert `qt-4` from.
> 
> For testing this change does not change qt-4 in any way:
> - run ./pre-inst-env guix build [email-masked]
> - apply patch
> - again run ./pre-inst-env guix build [email-masked]
> 
> -> [email-masked] will *not* be build again. To avoid any rebuilds, I even refrined
> from sorting the inputs. :-)
> 
> The other patch removes a package which has been merged into qtdeclarative as
> of Qt 5.8.0 and is not used anywhere.
> 
> 
> Hartmut Goebel (2):
>   gnu: Remove qtdeclarative-render2d.
>   gnu: Remove monolithic qt5.
> 
>  gnu/packages/qt.scm | 328 +++++++-------------------------------------
>  1 file changed, 49 insertions(+), 279 deletions(-)
> 

On qtdeclarative-render2d, I think the only reason to possibly keep it
is Debian old-stable (or old-old stable, not sure) packaged the 5.7
series, but I don't think they even used it for anything.

Very much vote yes on monolithic qt-5.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted